<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAllUserTableComment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //users 表
        Schema::table('users', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('role_id')->comment('角色id')->change();
            $table->string('phone')->comment('联系电话')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('password')->comment('密码')->change();
            $table->string('open_id')->comment('微信open_id')->change();
            $table->string('union_id')->comment('微信union_id')->change();
            $table->string('nickname')->comment('昵称')->change();
            $table->string('avatar')->comment('头像')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();

        });
        DB::statement("ALTER TABLE `users` comment '用户表'");

        //user_resets 表
        Schema::table('user_resets', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('user_id')->comment('用户id')->change();
            $table->string('phone')->comment('联系电话')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();

        });
        DB::statement("ALTER TABLE `user_resets` comment '用户密码重置记录表'");

        //user_auths 表
        Schema::table('user_auths', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('phone')->comment('联系电话')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('user_id')->comment('用户id')->change();
            $table->string('project_id')->comment('项目id')->change();
            $table->string('project_role_id')->comment('项目申请的角色id')->change();
            $table->string('remark')->comment('备注')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `user_auths` comment '用户授权表'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
