<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAllProjectTableComment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //project_roles 表
        Schema::table('project_roles', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('level')->comment('级别')->change();
        });
        DB::statement("ALTER TABLE `project_roles` comment '项目角色表'");

        //project_role_rights 表
        Schema::table('project_role_rights', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('right_id')->comment('权限id')->change();
            $table->string('project_role_id')->comment('项目角色id')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `project_role_rights` comment '项目角色权限管理表'");

        //rights 表
        Schema::table('rights', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('key')->comment('键')->change();
            $table->string('sort')->comment('排序等级')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `rights` comment '权限表'");

        //project_users 表
        Schema::table('project_users', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('project_id')->comment('项目id')->change();
            $table->string('user_id')->comment('用户id')->change();
            $table->string('project_role_id')->comment('项目角色id')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `project_users` comment '项目用户表'");

        //projects 表
        Schema::table('projects', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('项目名称')->change();
            $table->string('user_id')->comment('用户id')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `projects` comment '项目表'");

        //work_points 表
        Schema::table('work_points', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('项目名称')->change();
            $table->string('project_id')->comment('项目id')->change();
            $table->string('status')->comment('状态')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `work_points` comment '工点管理表'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
