<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAllOrderTableComment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //orders 表
        Schema::table('orders', function (Blueprint $table) {
            $table->string('work_point_id')->comment('工点id')->change();
            $table->string('remark')->comment('备注')->change();
            $table->string('status')->comment('状态')->change();
            $table->string('order_number')->comment('订单号')->change();
            $table->string('project_id')->comment('项目id')->change();
            $table->string('user_id')->comment('用户id')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `orders` comment '订单表'");

        //specs 表
        Schema::table('specs', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('device_name_id')->comment('设备名称id')->change();
            $table->string('device_id')->comment('设备id')->change();
            $table->string('sort')->comment('排序等级')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `specs` comment '设备规格表'");

        //roles 表
        Schema::table('roles', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('key')->comment('键名')->change();
            $table->string('sort')->comment('排序等级')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `roles` comment '角色表'");

        //rent_types 表
        Schema::table('rent_types', function (Blueprint $table) {
            $table->string('id')->comment('自增id')->change();
            $table->string('name')->comment('名称')->change();
            $table->string('sort')->comment('排序等级')->change();
            $table->string('created_at')->comment('创建时间')->change();
            $table->string('updated_at')->comment('更新时间')->change();
        });
        DB::statement("ALTER TABLE `rent_types` comment '租赁类型表'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
